Subject: bug#25411: 25.1; rmail decryption problems

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 15 Dec 2020 06:37:08 +0100

Francesco Potortì <[email-masked]> writes:

>>>>I've now bound `C-c C-d' to `rmail-epa-decrypt'.
>>>
>>> Note that C-c C-e is the prefix for the epa-mail functions.  I think
>>> it's natural to use the same prefix for rmail.
>>
>>Oh, I wasn't aware of that...  there doesn't seem to be a `C-c C-e'
>>binding in rmail by default, though?
>
> No, in fact.  But being used to epa it is natural for me that C-c C-e is
> the prefix

The complication here is that `C-c C-e' is a submap (presumably), and if
rmail binds `C-c C-e d' without that submap, there'll be a keymap
collision.